# Examples

## Address types

Below is an example description of the **address types** for Indonesia. Please note the following:

* `id` would be automatically generated by the database. (In this example, human-readable IDs are given based on the country code and address type.)
* `code` defines the address type code
* `displayOrder` describes the order in which the relevant Proxy Directory Operator (PDO) recommends listing the address types when they are shown to the Sender
  * Typically mobile phone number would be listed first, as it is the most common and user-friendly proxy type and the more obscure proxy types at the end of the list)
* For the *ACCT* address types, “clearingSystemId” links to the ISO 20022 *External Clearing System Identification Code* of the instant payment system which accepts that address type. (Example values are given below.)
* For proxy address types, ”proxyDirectoryId” links to the ID of the proxy scheme that a proxy type belongs to.

{% hint style="warning" %}
The ISO 20022 external code set does not have a code type for proxy directory or proxy scheme. It may be necessary to register a new code type for this purpose.
{% endhint %}

```json
{
  "addressTypes": [
    {
      "addressTypeId": "IDACCT",
      "countries": [
        "ID"
      ],
      "code": "ACCT",
      "clearingSystemId": "BIFST",
      "displayOrder": 3
    },
    {
      "addressTypeId": "IDEMAL",
      "countries": [
        "ID"
      ],
      "code": "EMAL",
      "proxyDirectoryId": "IDPROXY",
      "displayOrder": 2
    },
    {
      "addressTypeId": "IDMBNO",
      "countries": [
        "ID"
      ],
      "code": "MBNO",
      "proxyDirectoryId": "IDPROXY",
      "displayOrder": 1
    }
  ]
}
```

## Example address inputs <a href="#toc163730913" id="toc163730913"></a>

Below are three example descriptions of the **address types.** Firstly for a mobile phone proxy registered in Singapore, secondly for a Singaporean Account Identification, and third, for an IBAN registered in the UK.

#### Example mobile proxy <a href="#toc163730914" id="toc163730914"></a>

Note there are two inputs for a mobile proxy:

* The first is the text input field where the Sender will provide the mobile number of the Recipient. (This input starts with the “{“ prior to the first “attributes:”).
* The second is a hidden field which includes the `MBNO` address type (and proxy type) code. This `addressTypeCode` information will be required by the PSP to prepare the [`acmt.023`](/messaging-and-translation/message-acmt.023-identification-verification-request.md) proxy resolution request.

```json
{
  "addressTypeId": "SGMBNO",
  "inputs": [
    {
      "addressInputId": "SGINPT1",
      "attributes": {
        "name": "accountOrProxyId",
        "type": "tel",
        "pattern": "^\\+(?:[0-9] ?){6,14}[0-9]$",
        "placeholder": "+6581234567",
        "required": true
      },
      "iso20022Path": {
        "acmt023": "/Document/IdVrfctnReq/Vrfctn/PtyAndAcctId/Acct/Prxy/Id",
        "pacs008": null
      },
      "label": {
        "code": "MBNO",
        "title": {
          "en": "Mobile phone number, including the country code",
          "de": "Mobiltelefonnummer, einschließlich der Landesvorwahl"
        }
      }
    },
    {
      "addressInputId": "SGINPT2",
      "attributes": {
        "name": "addressTypeCode",
        "type": "hidden",
        "value": "MBNO",
        "required": true
      },
      "iso20022Path": {
        "acmt023": "/Document/IdVrfctnReq/Vrfctn/PtyAndAcctId/Acct/Prxy/Tp/Cd",
        "pacs008": null
      }
    }
  ]
}
```

## Account Identification <a href="#toc163730915" id="toc163730915"></a>

Note that there are three inputs for an Account Identification:

* The first input is the text input field where the Sender can input the Account Identification (`accountOrProxyId`)
* The second input is the text input where the Sender can input the Financial Institution Identification (`finInstId`)
* The third is a hidden field which includes the code of the address type (“addressTypeCode”), which in this case is `ACCC`.

```json
{
  "addressTypeId": "SGACCT",
  "inputs": [
    {
      "addressInputId": "SGINPT1",
      "attributes": {
        "name": "accountOrProxyId",
        "type": "number",
        "pattern": "^\\+\\d{9,10}$",
        "placeholder": "1234567890",
        "required": true
      },
      "iso20022Path": {
        "acmt023": "/Document/IdVrfctnReq/Vrfctn/PtyAndAcctId/Acct/Id/Othr/Id",
        "pacs008": "/Document/FIToFICstmrCdtTrf/CdtTrfTxInf/CrtrAcct/Id/Othr/Id"
      },
      "label": {
        "code": "ACCT",
        "title": {
          "en": "Account number, 9-10 digits",
          "de": "Kontonummer, 9-10 Ziffern"
        }
      }
    },
    {
      "addressInputId": "SGINPT3",
      "attributes": {
        "name": "finInstId",
        "type": "text",
        "pattern": "^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?",
        "placeholder": "AAAASGAA or AAAASGAA123",
        "required": true
      },
      "iso20022Path": {
        "acmt023": "/Document/IdVrfctnReq/Vrfctn/PtyAndAcctId/Agt/FinInstnId/BICFI",
        "pacs008": "/Document/FIToFICstmrCdtTrf/CdtTrfTxInf/CdtrAgt/FinInstnId/BICFI"
      },
      "label": {
        "code": "BICFI",
        "title": {
          "en": "BIC of the Creditor's Bank or Payment Service Provider",
          "de": "BIC der Kreditorbank des Payment Service Providers"
        }
      }
    },
    {
      "addressInputId": "SGINPT2",
      "attributes": {
        "name": "addressTypeCode",
        "type": "hidden",
        "value": "ACCT",
        "required": true
      },
      "iso20022Path": {
        "acmt023": null,
        "pacs008": null
      }
    }
  ]
}
```

## Example IBAN <a href="#toc163730916" id="toc163730916"></a>

For IBAN, only one text input is required, plus the hidden field addressTypeCode set to “IBAN”. The following example is for an IBAN to the United Kingdom (GB).

```json
{
  "addressTypeId": "GBIBAN",
  "inputs": [
    {
      "addressInputId": "GBINPT1",
      "attributes": {
        "name": "accountOrProxyId",
        "type": "number",
        "pattern": "^GB[0-9]{2}[A-Z]{4}[0-9]{14}$",
        "placeholder": "GB29 NWBK 6016 1331 9268 19",
        "required": true
      },
      "iso20022Path": {
        "acmt023": "/Document/IdVrfctnReq/Vrfctn/PtyAndAcctId/Acct/Id/IBAN",
        "pacs008": "/Document/FIToFICstmrCdtTrf/CdtTrfTxInf/CrtrAcct/Id/IBAN"
      },
      "label": {
        "code": "IBAN",
        "title": [
          {
            "en": "International Bank Account Number",
            "de": "Internationale Bankkontonummer"
          }
        ]
      }
    },
    {
      "addressInputId": "GBINPT3",
      "attributes": {
        "name": "addressTypeCode",
        "type": "hidden",
        "value": "IBAN",
        "required": true
      },
      "iso20022Path": {
        "acmt023": null,
        "pacs008": null
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexusglobalpayments.org/addressing-and-proxy-resolution/address-types-and-inputs/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
